%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name Cython

Name: python%{python_suffix}-cython
Version: 0.29.24
Release: 1
License: Apache-2.0
Summary: Compiler for writing C extensions for Python
Url: https://cython.org

Source0: https://files.pythonhosted.org/packages/source/C/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: pkg-config

%description
%summary

%prep
%setup -q -n %{pypi_name}-%{version}

%build

%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%if ! %{with base_python}
rm %{buildroot}%{_bindir}/*
%endif

%files
%defattr(-, qsys, *none)

%license COPYING.txt
%license LICENSE.txt

%{python_sitelib}/%{pypi_name}/
%{python_sitelib}/%{pypi_name}-%{version}.dist-info/
%{python_sitelib}/pyximport/
%{python_sitelib}/*.py
%{python_sitelib}/__pycache__/*



%changelog
* Wed Dec 01 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 0.29.24
- Update to 0.29.4

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 0.29.23
- Initial package

